OnlyFans API
FanslyTracking Links

List Tracking Links

Get all tracking links for the Fansly Account, with aggregate counts for clicks, claims, follows, subscriptions, and revenue totals.

GET
/api/fansly/{fanslyAccount}/tracking-links
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/tracking-links"
{
  "data": [
    {
      "id": "100000000000000001",
      "accountId": "800000000000000001",
      "internalId": "1",
      "type": 1,
      "status": 1,
      "label": "Fansly FYP",
      "description": "Traffic from the Fansly FYP.",
      "metadata": "{}",
      "createdAt": 1762976852000,
      "clicks": 0,
      "claims": 25062,
      "follows": 6364,
      "subscriptions": 204,
      "totalNet": 0,
      "totalGross": 54245542
    },
    {
      "id": "100000000000000002",
      "accountId": "800000000000000001",
      "internalId": "1001",
      "type": 1000,
      "status": 1,
      "label": "Twitter bio",
      "description": "Traffic from my Twitter bio link.",
      "metadata": "{}",
      "createdAt": 1765458304000,
      "clicks": 224,
      "claims": 147,
      "follows": 56,
      "subscriptions": 4,
      "totalNet": 0,
      "totalGross": 84990
    }
  ],
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055800,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}